FieldDesc (Axis API)
Keywords: org.apache.axis.description.FieldDesc class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.description
Class FieldDesc

    java.lang.Object
      org.apache.axis.description.FieldDesc

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AttributeDesc, ElementDesc

public class FieldDesc
extends java.lang.Object
implements java.io.Serializable

FieldDescs are metadata objects which control the mapping of a given Java field to/from XML.

Author:
  Glen Daniels (gdaniels@apache.org)
See Also:
  Serialized Form

Constructor Summary
`protected` | `FieldDesc(boolean isElement)` Can't construct the base class directly, must construct either an ElementDesc or an AttributeDesc.

Method Summary
`java.lang.String` | `getFieldName()` Obtain the field name.
`java.lang.Class` | `getJavaType()`
`QName` | `getXmlName()` Obtain the XML QName for this field
`QName` | `getXmlType()` Returns the XML type (e.g.
`boolean` | `isElement()` Check if this is an element or an attribute.
`boolean` | `isIndexed()`
`boolean` | `isMinOccursZero()` Check if this field can be omitted.
`void` | `setFieldName(java.lang.String fieldName)` Set the field name.
`void` | `setJavaType(java.lang.Class javaType)`
`void` | `setMinOccursIs0(boolean minOccursIs0)` Deprecated. this functionality, which is only relevant to ElementDescs, now lives in ElementDesc and is more flexible (you can set minOccurs and maxOccurs as you please)
`void` | `setXmlName(QName xmlName)` Set the XML QName for this field
`void` | `setXmlType(QName xmlType)` Returns the XML type (e.g.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldDesc

    protected FieldDesc(boolean isElement)

  Can't construct the base class directly, must construct either an ElementDesc or an AttributeDesc.

Method Detail

### getFieldName

    public java.lang.String getFieldName()

  Obtain the field name.

### setFieldName

    public void setFieldName(java.lang.String fieldName)

  Set the field name.

### getXmlName

    public QName getXmlName()

  Obtain the XML QName for this field

### setXmlName

    public void setXmlName(QName xmlName)

  Set the XML QName for this field

### getJavaType

    public java.lang.Class getJavaType()

### setJavaType

    public void setJavaType(java.lang.Class javaType)

### getXmlType

    public QName getXmlType()

  Returns the XML type (e.g. xsd:string) for this field

### setXmlType

    public void setXmlType(QName xmlType)

  Returns the XML type (e.g. xsd:string) for this field

### isElement

    public boolean isElement()

  Check if this is an element or an attribute.

  Returns:
    true if this is an ElementDesc, or false if an AttributeDesc

### isIndexed

    public boolean isIndexed()

### isMinOccursZero

    public boolean isMinOccursZero()

  Check if this field can be omitted.

### setMinOccursIs0

    public void setMinOccursIs0(boolean minOccursIs0)

  Deprecated. this functionality, which is only relevant to ElementDescs, now lives in ElementDesc and is more flexible (you can set minOccurs and maxOccurs as you please)

  Parameters:
    `minOccursIs0` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.